summaryrefslogtreecommitdiff
path: root/bin/flo2app.sh
diff options
context:
space:
mode:
authorJim Lawson2015-07-24 17:17:01 -0700
committerJim Lawson2015-07-24 17:17:01 -0700
commite73450165c59d68b524689a7169e03140a41a1c5 (patch)
treeb7236f80d9abf60775ecbcefe6f7ca25557dce73 /bin/flo2app.sh
parent94893bad972ded686a2c68dd334aa40b92e3b85d (diff)
parent3976145bb8c7595ad0f0a7fbb4ccbbd3030d8873 (diff)
Merge pull request #1 from ucb-bar/packagedir
Packagedir
Diffstat (limited to 'bin/flo2app.sh')
-rwxr-xr-xbin/flo2app.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/bin/flo2app.sh b/bin/flo2app.sh
index 44326dd0..f02ba8c0 100755
--- a/bin/flo2app.sh
+++ b/bin/flo2app.sh
@@ -1,9 +1,12 @@
#!/bin/bash
-echo FLO-LLVM DONE
-/users/jrb/bar/chisel3/bin/flo-llvm $1.flo # --vcdtmp
-echo FLO-LLVM DONE
-flo-llvm-release $1.flo --harness > $1-harness.cpp
-echo FLO-LLVM-RELEASE DONE
-g++ -o $1 $1-harness.cpp $1.o
-echo GPP DONE
+flo-llvm $1.flo # --vcdtmp
+if [ $? ] ; then
+ echo FLO-LLVM DONE
+ flo-llvm-release $1.flo --harness > $1-harness.cpp
+fi
+if [ $? ] ; then
+ echo FLO-LLVM-RELEASE DONE
+ clang++ -o $1 $1-harness.cpp $1.o
+ echo GPP DONE
+fi